Loading...
Searching...
No Matches
svn_wc_status2_t Struct Reference
Working copy management » Working copy status.

`#include <svn_wc.h>`

## Data Fields

const svn_wc_entry_t * | entry
| Can be `NULL` if not under version control.
enum svn_wc_status_kind | text_status
| The status of the entry itself, including its text if it is a file.
enum svn_wc_status_kind | prop_status
| The status of the entry's properties.
svn_boolean_t | locked
| a directory can be 'locked' if a working copy update was interrupted.
svn_boolean_t | copied
| a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).
svn_boolean_t | switched
| a file or directory can be 'switched' if the switch command has been used.
enum svn_wc_status_kind | repos_text_status
| The entry's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The entry's property status in the repository.
svn_lock_t * | repos_lock
| The entry's lock in the repository, if any.
const char * | url
| Set to the URI (actual or expected) of the item.
svn_revnum_t | ood_last_cmt_rev
| Set to the youngest committed revision, or SVN_INVALID_REVNUM if not out of date.
apr_time_t | ood_last_cmt_date
| Set to the most recent commit date, or `0` if not out of date.
svn_node_kind_t | ood_kind
| Set to the node kind of the youngest commit, or svn_node_none if not out of date.
const char * | ood_last_cmt_author
| Set to the user name of the youngest commit, or `NULL` if not out of date or non-existent.
svn_wc_conflict_description_t * | tree_conflict
| Non-NULL if the entry is the victim of a tree conflict.
svn_boolean_t | file_external
| If the item is a file that was added to the working copy with an svn:externals; if file_external is TRUE, then switched is always FALSE.
enum svn_wc_status_kind | pristine_text_status
| The actual status of the text compared to the pristine base of the file.
enum svn_wc_status_kind | pristine_prop_status
| The actual status of the properties compared to the pristine base of the node.

## Detailed Description

### All diffs are not yet known.

Same as svn_wc_status3_t, but without the svn_boolean_t 'versioned' field. Instead an item that is not versioned has the 'entry' field set to `NULL`.

Since
  New in 1.2.

Deprecated
  Provided for backward compatibility with the 1.6 API.

Definition at line 3891 of file svn_wc.h.

## Field Documentation

## copied

svn_boolean_t svn_wc_status2_t::copied

a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).

Definition at line 3908 of file svn_wc.h.

## entry

const svn_wc_entry_t* svn_wc_status2_t::entry

Can be `NULL` if not under version control.

Definition at line 3894 of file svn_wc.h.

## file_external

svn_boolean_t svn_wc_status2_t::file_external

If the item is a file that was added to the working copy with an svn:externals; if file_external is TRUE, then switched is always FALSE.

Since
  New in 1.6

Definition at line 3978 of file svn_wc.h.

## locked

svn_boolean_t svn_wc_status2_t::locked

a directory can be 'locked' if a working copy update was interrupted.

Definition at line 3903 of file svn_wc.h.

## pristine_prop_status

enum svn_wc_status_kind svn_wc_status2_t::pristine_prop_status

The actual status of the properties compared to the pristine base of the node.

This value isn't masked by other working copy statuses. `pristine_prop_status` is svn_wc_status_none if this value was not calculated during the status walk.

Since
  New in 1.6

Definition at line 3994 of file svn_wc.h.

## pristine_text_status

enum svn_wc_status_kind svn_wc_status2_t::pristine_text_status

The actual status of the text compared to the pristine base of the file.

This value isn't masked by other working copy statuses. `pristine_text_status` is svn_wc_status_none if this value was not calculated during the status walk.

Since
  New in 1.6

Definition at line 3986 of file svn_wc.h.

## prop_status

enum svn_wc_status_kind svn_wc_status2_t::prop_status

The status of the entry's properties.

Definition at line 3900 of file svn_wc.h.

## repos_lock

svn_lock_t* svn_wc_status2_t::repos_lock

The entry's lock in the repository, if any.

Definition at line 3922 of file svn_wc.h.

## repos_prop_status

enum svn_wc_status_kind svn_wc_status2_t::repos_prop_status

The entry's property status in the repository.

Definition at line 3919 of file svn_wc.h.

## repos_text_status

enum svn_wc_status_kind svn_wc_status2_t::repos_text_status

The entry's text status in the repository.

Definition at line 3916 of file svn_wc.h.

## switched

svn_boolean_t svn_wc_status2_t::switched

a file or directory can be 'switched' if the switch command has been used.

If this is TRUE, then file_external will be FALSE.

Definition at line 3913 of file svn_wc.h.

## text_status

enum svn_wc_status_kind svn_wc_status2_t::text_status

The status of the entry itself, including its text if it is a file.

Definition at line 3897 of file svn_wc.h.

## tree_conflict

svn_wc_conflict_description_t* svn_wc_status2_t::tree_conflict

Non-NULL if the entry is the victim of a tree conflict.

Since
  New in 1.6

Definition at line 3971 of file svn_wc.h.

## url

const char* svn_wc_status2_t::url

Set to the URI (actual or expected) of the item.

Since
  New in 1.3

Definition at line 3927 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h